Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class XslFilter

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.XslFilter

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class XslFilter
extends GenericServlet

Filters the output of JSP pages.

See Also:
  `JspManager`, Serialized Form

Constructor Summary
`XslFilter()`

Method Summary
`java.lang.String` | `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.
`void` | `init(ServletConfig config)` The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification.
`void` | `service(ServletRequest request, ServletResponse response)` Handle the chained request.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XslFilter

    public XslFilter()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification. By default, XSL stylesheets follow the looser 'StyleScript'

  The servlet parameter 'strict-xml' can be set 'false' so servlet results will be parsed as LooseHtml. By default, they're Xml.

  Overrides:
    `init` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `config` - the `ServletConfig` object that contains configutation information for this servlet
  Throws:
    `ServletException` - if an exception occurs that interrupts the servlet's normal operation
  See Also:
    `UnavailableException`

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        java.io.IOException

  Handle the chained request. The request.getInputStream() will contain the XML page.
  Overrides:
    `service` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `req` - the `ServletRequest` object that contains the client's request
    `res` - the `ServletResponse` object that will contain the servlet's response
  Throws:
    `ServletException` - if an exception occurs that interferes with the servlet's normal operation occurred
    `java.io.IOException` - if an input or output exception occurs

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns information about the servlet, such as author, version, and copyright. By default, this method returns an empty string. Override this method to have it return a meaningful value. See `Servlet.getServletInfo()`.
  Overrides:
    `getServletInfo` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Returns:
    String information about this servlet, by default an empty string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD